/****************************************************
AboutSQLServer.com blog
Written by Dmitri Korotkevitch

Blocking in the system
2011-05-12
Script 1 - Table creation
*****************************************************/
set nocount on
go

create table dbo.Data
(
	Id int not null,
	Value int not null,
	
	Placeholder char(200) not null
		constraint Def_Data_Placeholder
		default 'a',
			
	constraint PK_Data
	primary key clustered(Id)
)
go

;with CTE(ID)
as
(
	select 1 
	
	union all
	
	select ID + 1
	from CTE
	where ID < 50000
)
insert into dbo.Data(Id, Value)
	select ID, ID
	from CTE
option (MAXRECURSION 0)
go 