/****************************************************
AboutSQLServer.com blog
Written by Dmitri Korotkevitch

Blocking in the system
2011-05-12
Session 1
*****************************************************/
set nocount on
go

-- Aquire lock

set transaction isolation level read committed
begin tran
	update dbo.Data
	set Value = 0
	where ID = 40000
	
	select resource_type, request_mode, request_type
		,resource_associated_entity_id
		,request_status, request_session_id 
	from sys.dm_tran_locks
	
-- do not commit or rollback
-- rollback

