/****************************************************
AboutSQLServer.com blog
Written by Dmitri Korotkevitch

Blocking in the system
2011-05-12
Session 2
*****************************************************/
set nocount on
go

-- Enable display execution plan

set transaction isolation level read committed
go

select * from dbo.Data where ID = 100
go

select * from dbo.Data where Value = 100
go

-- now let's try read uncommitted. Make sure that session 1 still held the lock
set transaction isolation level read uncommitted
go

select * from dbo.Data where Value = 100
go

update dbo.Data set Value = 0 where Value = 100
go

